Retrieve a wallet alert
curl --request GET \
--url https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlago.com/api/v1/customers/{external_customer_id}/wallets/{wallet_code}/alerts/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"external_subscription_id": null,
"billable_metric": null,
"alert_type": "wallet_balance_amount",
"code": "wallet_balance_alert",
"name": "Wallet Balance Alert",
"previous_value": 1000,
"last_processed_at": "2025-05-19T10:04:21Z",
"thresholds": [
{
"code": "warn",
"recurring": false,
"value": "99.0"
}
],
"created_at": "2025-03-20T10:00:00Z",
"lago_wallet_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"wallet_code": "wallet_code",
"direction": "decreasing"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}Wallet alerts
Retrieve a wallet alert
This endpoint allows you to retrieve a specific alert for a wallet.
GET
/
customers
/
{external_customer_id}
/
wallets
/
{wallet_code}
/
alerts
/
{code}
Retrieve a wallet alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer external unique identifier (provided by your own application)
Example:
"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"
A unique wallet identifier within a customer. It is either set by the user at creation or auto-generated by Lago if not provided.
Example:
"wallet-code"
Unique code of the alert
Example:
"balance_threshold_alert"
Response
Wallet alert
Show child attributes
Show child attributes
⌘I